Subject: [Autoconf] Fwd: WG Action: RECHARTER: Ad-Hoc Network Autoconfiguration (autoconf)

From: Ryuji Wakikawa <[email-masked]>
Date: Mon, 10 Jan 2011 20:40:41 -0800

Hi all,

After rechartering, we are ready for discussions. 
Does anybody plan to submit IDs related to AUTOCONF WG charter items?

If you plan to submit ID, can you contact to chairs (thomas and I) even before submission.
We need to know the number of related IDs before requesting a slot in Prague meeting.

thanks,
ryuji

Begin forwarded message:

> From: IESG Secretary <[email-masked]>
> Date: 2010/12/21 09:50:17GMT-08:00
> To: IETF Announcement list <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Subject: WG Action: RECHARTER: Ad-Hoc Network Autoconfiguration (autoconf) 
> 
> The Ad-Hoc Network Autoconfiguration (autoconf) working group in the
> Internet Area of the IETF has been rechartered.  For additional
> information, please contact the Area Directors or the working group
> Chairs.
> 
> Ad-Hoc Network Autoconfiguration (autoconf)
> ---------------------------------------------------
> Current Status: Active Working Group
> 
> Chairs:
>  Ryuji Wakikawa <[email-masked]>
>  Thomas Clausen <[email-masked]>
> 
> Internet Area Directors:
>  Ralph Droms <[email-masked]>
>  Jari Arkko <[email-masked]>
> 
> Internet Area Advisor:
>  Jari Arkko <[email-masked]>
> 
> Mailing Lists:
>  General Discussion: [email-masked]
>  To Subscribe: https://www.ietf.org/mailman/listinfo/autoconf
>  Archive:
> http://www.ietf.org/mail-archive/web/autoconf/current/maillist.html
> 
> Description of Working Group:
> 
> RFC 5889 presents one possible IPv6 addressing model for ad hoc
> nodes. In this model the ad hoc routers need to configure their
> network interface(s) with addresses valid in the ad hoc network, and
> may configure additional prefixes for use by attached nodes.
> 
> After completing the work on RFC 5889, the main purpose of the
> AUTOCONF WG is to standardize how existing IPv6 address configuration
> tools can be used for address configuration.
> 
> 1. DHCPv6 operation over MANET, including:
> 
> - A DHCPv6-based mechanism for configuring required interface
> addresses for the routers in the ad hoc network. This mechanism
> is expected to produce addresses with properties outlined in RFC
> 5889. This mechanism uses the existing DHCPv6 protocol unchanged,
> and assumes a central node that can allocate addresses on a
> first-come-first-served basis. Nodes in the ad hoc network
> will relay messages to the central node in order to help a new
> node get an address for itself. This mechanism is only suitable
> for deployments were a central node can be set up. It should be
> noted that many existing deployments employ Internet gateways
> that can act as such a central node as well. Future extensions
> such as central node election may make this mechanism suitable
> for also for stand-alone ad hoc networks.
> 
> - A DHCPv6-based mechanism for delegating a prefix(es) to each
> router for use by applications running on the routers themselves,
> or for configuration of attached hosts/networks. This mechanism
> works in a similar manner to the one above, but allocates
> prefixes instead of addresses.
> 
> Both mechanisms should be independent from operation of any specific
> MANET routing protocol, although may exploit information maintained by
> such a routing protocol, if available.
> 
> The working group will adapt and/or reuse existing protocols whenever
> reasonable and possible. No new duplicate address detection mechanisms
> will be specified.
> 
> 2. Analysis of Problem Space for distributed address configuration and
> service discovery. This analysis is necessary in order to understand
> what type of distributed solution(s) can be standardized. There is
> already quite a lot of material about possible solutions in the
> literature.
> 
> The working group plans to establish design teams for rapidly advancing
> towards initial submissions for these two work items. The group shall
> also work with the 6LOWPAN and ROLL working group to ensure that
> the results from AUTOCONF working group are useful for the larger
> community and do not overlap with work already in progress in these
> other working groups.
> 
> Goals and Milestones:
> 
> - Jan 2011 First working group draft of the "DHCPv6 operation over
>           MANET"
> - Jan 2011 First working group draft of the "Analysis of Problem Space"
> - Sep 2011 Submission of the "DHCPv6 operation over MANET" to the IESG
>           for publication as BCP
> - Sep 2011 Submission of the "Analysis of Problem Space" the IESG for
>           publication as Informational RFC
> - Oct 2011 First working group draft of the "Distributed Solution"
> - Jun 2012 Submission of the "Distributed Solution" to the IESG for
>           publication as an Proposed Standard RFC
> - Jun 2012 Rechartering or Closing WG